Skip to main content
GET
/
api
/
v1
/
projects
/
{project_id}
/
api-keys
List Api Keys
curl --request GET \
  --url https://api.devkit4ai.com/api/v1/projects/{project_id}/api-keys \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "key_prefix": "<string>",
    "is_active": true,
    "last_used_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://devkit4ai.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

project_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
name
string | null
required
key_prefix
string
required
is_active
boolean
required
last_used_at
string<date-time> | null
required
created_at
string<date-time>
required